package com.yiidian.springboot.demo.controller;

import com.yiidian.springboot.demo.pojo.Article;
import com.yiidian.springboot.demo.utils.ResponseResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

@Slf4j
@RestController
@RequestMapping("/rest")
public class ArticleController {

  //获取一篇Article，使用GET方法,根据id查询一篇文章
  @GetMapping("/article/{id}")
  public ResponseResult getArticle(@PathVariable("id") Long id){

    Article article = new Article(1L,"Spring Boot入门到精通","Java","Spring Boot入门到精通写得不错哦！",new Date(),null);

    log.info("article:" + article);

    return ResponseResult.success(article);
  }


  //增加一篇Article ，使用POST方法(RequestBody方式接收参数)
  @PostMapping("/articles")
  public ResponseResult saveArticle(@RequestBody Article article){

    log.info("saveArticle:" + article);
    return ResponseResult.success();

  }

  //更新一篇Article，使用PUT方法，以id为主键进行更新
  @PutMapping("/articles")
  public ResponseResult updateArticle(@RequestBody Article article){

    log.info("updateArticle:" + article);
    return ResponseResult.success();
  }

  //删除一篇Article，使用DELETE方法，参数是id
  @DeleteMapping("/articles/{id}")
  public ResponseResult deleteArticle(@PathVariable("id") Long id){

    log.info("deleteArticle:" + id);
    return ResponseResult.success();
  }

}
